net.sourceforge.pmd.lang.java.ast

## Class CommentUtil

- java.lang.Object
- - net.sourceforge.pmd.lang.java.ast.CommentUtil

-     public final class CommentUtil
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `javadocContentAfter(String text, int position)`
    `static Map<String,Integer>` | `javadocTagsIn(String comment)`
    `static void` | `main(String[] args)`
    `static List<String>` | `multiLinesIn(String comment)`
    `static List<String>` | `trim(List<String> lines)` Similar to the String.trim() function, this one removes the leading and trailing empty/blank lines from the line list.
    `static String` | `wordAfter(String text, int position)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### wordAfter

          public static String wordAfter(String text,
                         int position)

    - #### javadocContentAfter

          public static String javadocContentAfter(String text,
                                   int position)

    - #### javadocTagsIn

          public static Map<String,Integer> javadocTagsIn(String comment)

    - #### multiLinesIn

          public static List<String> multiLinesIn(String comment)

    - #### trim

          public static List<String> trim(List<String> lines)

      Similar to the String.trim() function, this one removes the leading and trailing empty/blank lines from the line list.
      Parameters:
        `lines` -

    - #### main

          public static void main(String[] args)

Copyright © 2002-2013 InfoEther. All Rights Reserved.